Subject: Re: nfsd, v4: oops in find_acceptable_alias, ppc32 Linux, post-2.6.27-rc1

From: Michael Ellerman <[email-masked]>
Date: Tue, 05 Aug 2008 10:16:58 +1000

On Mon, 2008-08-04 at 16:59 -0400, J. Bruce Fields wrote:
> On Tue, Aug 05, 2008 at 08:51:23AM +1200, Paul Collins wrote:
> > Michael Ellerman <[email-masked]> writes:
> > 
> > > On Mon, 2008-08-04 at 22:00 +1200, Paul Collins wrote:
> > >> Paul Collins <[email-masked]> writes:
> > >> 
> > >> > Neil Brown <[email-masked]> writes:
> > >> >> Could you try removing the 'static' declaration for nfsd_acceptable
> > >> >> and recompile?
> > >> >> Or maybe try a different compiler?
> > >> >
> > >> > I will give these a try this evening.
> > >> 
> > >> I built myself a nice new cross compiler:
> > >> 
> > >>         powerpc-linux-gnu-gcc-4.1 (GCC) 4.1.3 20080623 (prerelease) (Debian 4.1.2-23)
> > >> 
> > >> and rebuilt 94ad374a0751f40d25e22e036c37f7263569d24c.  Running that on
> > >> the server and 2.6.26 on the client, I got yet another Oops.  This one
> > >> locked the machine up pretty good, so all I have is a picture:
> > >> 
> > >> http://ondioline.org/~paul/DSCN1608.JPG
> > >
> > > Wow.
> > >
> > > Can you try building a kernel on the server? ie. not over NFS.
> > 
> > Built kernels on the server with native gcc 4.2.4 and 4.3.1 and repeated
> > the build test.
>  
> But the build test itself was over nfs?  (And you can't reproduce the
> same problem without nfs?)

Yeah, I'm not clear on that either. What I was aiming at was can you get
it to oops somewhere else by not building over NFS - in which case we
can rule NFS (more or less) out.

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person